import QtQuick 1.0
import com.nokia.meego 1.0

Page {
    id: settingsPage
    anchors.margins: UiConstants.DefaultMargin
    anchors.fill: parent

    Column {
        width: parent.width

        SwitchSetting {
            text: qsTr("Use Dark Theme")
            checked: controller.getBooleanSetting("theme")

            onSwitched: {
                controller.setBooleanSetting("theme", checked)
                theme.inverted = checked
            }
        }

        SwitchSetting {
            text: qsTr("Hide Read Feeds")
            checked: controller.getBooleanSetting("hideReadFeeds")

            onSwitched: {
                controller.setBooleanSetting("hideReadFeeds", checked)
                settings.hideReadFeeds = checked
            }
        }

        SwitchSetting {
            text: qsTr("Hide Read Articles")
            checked: controller.getBooleanSetting("hideReadArticles")

            onSwitched: {
                controller.setBooleanSetting("hideReadArticles", checked)
                settings.hideReadArticles = checked
            }
        }

        SwitchSetting {
            text: qsTr("Cache Images")
            checked: controller.getBooleanSetting("imageCache")

            onSwitched: {
                controller.setBooleanSetting("imageCache", checked)
            }
        }

        SwitchSetting {
            text: qsTr("Auto-update every 6 hours (requires application running)")
            checked: controller.getBooleanSetting("autoupdate")

            onSwitched: {
                controller.setBooleanSetting("autoupdate", checked)
                settings.autoUpdateEnabled = checked
            }
        }
    }

}
